proc GetAvailableLicenses {} {
	set hostport $::env(ALTAIR_LICENSE_PATH)
	set hostport [split $hostport "@"]
	set port [lindex $hostport 0]
	set host [lindex $hostport 1]
	set home [hm_info -appinfo ALTAIR_HOME]
	set output [exec "$home/security/bin/win64/lmxendutil.exe" -licstatxml -host $host -port $port]
	set output [split $output "\n"]

	foreach line $output {
		if {[string first "<FEATURE NAME=\"GlobalZoneAP\"" $line] != -1} {
			set front [string range $line [expr {[string last "USED_LICENSES=\"" $line]+15}] end]
			set used [string range $front 0 [expr [string first \" $front]-1]]

			set front [string range $line [expr {[string last "TOTAL_LICENSES=\"" $line]+16}] end]
			set total [string range $front 0 [expr [string first \" $front]-1]]
			set available [expr {($total-$used)/1000}]
		}
	}
	return $available
}


set available_licenses [GetAvailableLicenses]
tk_messageBox -message "There are $available_licenses units available" -title "Available Units"
